package cn.ibizlab.core.uaa.service;

import java.io.Serializable;
import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import java.util.Collection;
import java.math.BigInteger;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;
import com.alibaba.fastjson.JSONObject;

import cn.ibizlab.core.uaa.domain.SYS_PSDEOPPRIV;
import cn.ibizlab.core.uaa.filter.SYS_PSDEOPPRIVSearchContext;


import com.baomidou.mybatisplus.extension.service.IService;

/**
 * 实体[SYS_PSDEOPPRIV] 服务对象接口
 */
public interface ISYS_PSDEOPPRIVService extends IService<SYS_PSDEOPPRIV>{

    boolean remove(String key) ;
    void removeBatch(Collection<String> idList) ;
    boolean checkKey(SYS_PSDEOPPRIV et) ;
    SYS_PSDEOPPRIV getDraft(SYS_PSDEOPPRIV et) ;
    boolean create(SYS_PSDEOPPRIV et) ;
    void createBatch(List<SYS_PSDEOPPRIV> list) ;
    SYS_PSDEOPPRIV get(String key) ;
    boolean update(SYS_PSDEOPPRIV et) ;
    void updateBatch(List<SYS_PSDEOPPRIV> list) ;
    boolean save(SYS_PSDEOPPRIV et) ;
    void saveBatch(List<SYS_PSDEOPPRIV> list) ;
    Page<SYS_PSDEOPPRIV> searchDefault(SYS_PSDEOPPRIVSearchContext context) ;



    List<JSONObject> select(String sql);
    boolean execute(String sql);

}


